org.apache.ignite.internal.processors.streamer

## Class GridStreamerAttributes

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.GridStreamerAttributes

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridStreamerAttributes
    extends Object
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridStreamerAttributes()` Empty constructor required by `Externalizable`.
`GridStreamerAttributes(StreamerConfiguration cfg)`

### Method Summary

Methods
`boolean` `atLeastOnce()`
`int` `maxConcurrentSessions()`
`int` `maxFailoverAttempts()`
`String` `name()`
`void` `readExternal(ObjectInput in)`
`Collection<IgniteBiTuple<String,String>>` `stages()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridStreamerAttributes

    public GridStreamerAttributes()

Empty constructor required by `Externalizable`.

#### GridStreamerAttributes

    public GridStreamerAttributes(StreamerConfiguration cfg)

Parameters:
  `cfg` - Streamer configuration.

### Method Detail

#### name

    @Nullable
    public String name()

Returns:
  Name.

#### stages

    public Collection<IgniteBiTuple<String,String>> stages()

Returns:
  Streamer stages.

#### atLeastOnce

    public boolean atLeastOnce()

Returns:
  At least once flag.

#### maxFailoverAttempts

    public int maxFailoverAttempts()

Returns:
  Max failover attempts.

#### maxConcurrentSessions

    public int maxConcurrentSessions()

Returns:
  Max concurrent sessions.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015